-- Acrobatics compat
if not BLib then return end
local SetBoost = BLib.SetBoost
local ac_styleCheck = ac_styleCheck
local acrobatics = acrobatics
local acrobasics = acrobasics
local TS_BURST = TS_BURST

local FRACUNIT = FRACUNIT
local min = min
local max = max

local pks
local function chainfunc(player, name, timer)
	pks = player.kartstuff
	if  timer > player.trickboost then
		player.trickboost = timer
	end
	return player.trickboost
end
BLib.RegisterChainFunc("acrobatics", chainfunc)


local acrotype = "acrobatics"
local acroaugtype = "acroaugment"
local player, str, aug, chain, accel, stackvfx, burst, sliptide
addHook("MobjThinker", function(mo)
	if not (acrobatics or acrobasics) then return end
	player = mo.player
	burst = ac_styleCheck and ac_styleCheck(player, TS_BURST, true)
	
	if player.trickboost then
		str = player.finaltrickboost or player.trickbooststr -- Acrobasics compat here
		accel = player.trickboostburst and 10*FRACUNIT or player.finaltrickboost and 4*FRACUNIT or player.trickboost and 2*FRACUNIT or 0
		stackvfx = true
		chain = not burst
	else
		str = 0
		accel = 0
		stackvfx = false
		chain = false
		sliptide = false
	end

	aug =  min((player.basebonus  or 0), (player.maxAug or 0))

	-- todo: update acro to use boostlib
	-- Aug not included currently
	SetBoost(player, acrotype, str, accel, nil, true, stackvfx, chain, false, sliptide)
	SetBoost(player, acroaugtype, aug, nil, nil, true, false, false, false, false)
	
	if player.trickboost and player.trickboost > (player.BLlastframetrickboost or 0) and not burst then
		player.trickboost = max(BLib.BoostChain(player, acrotype, $), $)
	end
	player.BLlastframetrickboost = player.trickboost
end, MT_PLAYER)